> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spirii.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Disable a voucher (sets it as expired)



## OpenAPI

````yaml /openapi/integrations-api/openapi.yml delete /vouchers/{id}
openapi: 3.0.0
info:
  title: Spirii Legacy API
  description: >-
    API for integration to Spirii CPO backend for charge point owners and charge
    point operators with access to whitelabel user data.
  version: 1.1.25
servers:
  - url: https://api.spirii.com/
    description: Production Environment
security: []
paths:
  /vouchers/{id}:
    delete:
      tags:
        - Vouchers
      summary: Disable a voucher (sets it as expired)
      parameters:
        - $ref: '#/components/parameters/voucherIdQuery'
      responses:
        '200':
          $ref: '#/components/responses/voucherDelete'
        '400':
          $ref: '#/components/responses/badRequest'
        '500':
          $ref: '#/components/responses/badImplementation'
components:
  parameters:
    voucherIdQuery:
      in: path
      name: id
      required: true
      schema:
        description: Voucher Id
        type: string
  responses:
    voucherDelete:
      description: Voucher delete response
      content:
        application/json:
          schema:
            type: object
            required:
              - id
              - groupId
              - code
              - maxUsers
              - createdAt
              - updatedAt
              - expiresAt
            properties:
              id:
                $ref: '#/components/schemas/id'
              groupId:
                $ref: '#/components/schemas/groupId'
              code:
                $ref: '#/components/schemas/code'
              maxUsers:
                $ref: '#/components/schemas/maxUsers'
              createdAt:
                $ref: '#/components/schemas/createdAt'
              updatedAt:
                $ref: '#/components/schemas/updatedAt'
              expiresAt:
                $ref: '#/components/schemas/expiresAt'
          example:
            id: 1
            groupId: 141
            code: sp1r112020
            maxUsers: 6
            createdAt: '2020-10-20T04:19:03.000Z'
            updatedAt: '2022-09-29T03:57:50.000Z'
            expiresAt: '2024-07-22T05:26:16.000Z'
    badRequest:
      description: Bad Request, invalid request or missing request parameter
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                description: Error object
                type: object
                properties:
                  message:
                    description: Error message
                    type: string
                    example: >-
                      No fields to update. Please provide at least one of the
                      valid fields
          example:
            error:
              message: Querystring parameter `id` is not allowed
              statusCode: 400
              code: QueryParamNotAllowed
    badImplementation:
      description: Something went wroing, try again later
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                description: Error object
                type: object
                properties:
                  message:
                    description: Error message
                    type: string
                    example: Something went wroing, try again later
          example:
            error:
              message: Something went wroing, try again later
              statusCode: 500
  schemas:
    id:
      description: id
      type: integer
      example: 1
    groupId:
      type: integer
      example: 5
    code:
      type: string
      example: code123
    maxUsers:
      type: integer
      example: 5
      nullable: true
    createdAt:
      description: Created date
      format: timestamp
      type: string
      example: '2021-04-20T14:38:20.000Z'
    updatedAt:
      description: Updated date
      format: timestamp
      type: string
      example: '2021-04-20T14:38:20.000Z'
    expiresAt:
      description: Updated date
      type: string
      format: timestamp
      example: '2021-04-20T14:38:20.000Z'
      nullable: true

````